%define hsc_name ghc
%define hsc_version %ghc_version
%define hsc_namever %hsc_name
%define h_pkg_name stm
%define f_pkg_name stm
%define pkg_libdir %_libdir/%hsc_name-%hsc_version/lib/%h_pkg_name-%version

Name: %hsc_namever-%f_pkg_name
Version: 2.2.0.1
Release: alt1
License: BSD
Group: Development/Haskell
URL: http://hackage.haskell.org/cgi-bin/hackage-scripts/package/stm
Source: %f_pkg_name-%version.tar
Summary: Software Transactional Memory
# Automatically added by buildreq on Fri Mar 13 2009
BuildRequires: ghc-binary ghc(mtl) ghc-network ghc-regex-compat ghc(time) ghc-utf8-string

BuildRequires: ghc haddock %hs_package_dependencies
BuildRequires(pre): rpm-build-haskell


%description
A modular composable concurrency abstraction.


%prep
%setup -n %h_pkg_name-%version


%build
%hs_configure2
%hs_build

%install
%hs_install
%hs_gen_filelist

cd %buildroot%_datadir/doc/%hsc_namever-%f_pkg_name-%version
rm -rf doc LICENSE

%files -f %name-files.nonprof
%hs_pkgconfdir/%f_pkg_name-%version.conf
%doc dist/doc/html
%doc LICENSE

%changelog
* Thu Mar 03 2011 Denis Smirnov <mithraen@altlinux.ru> 2.2.0.1-alt1
- 2.2.0.1

* Mon Sep 13 2010 Denis Smirnov <mithraen@altlinux.ru> 2.1.1.2-alt6
- auto rebuild

* Mon Sep 13 2010 Denis Smirnov <mithraen@altlinux.ru> 2.1.1.2-alt5
- auto rebuild

* Thu Sep 09 2010 Denis Smirnov <mithraen@altlinux.ru> 2.1.1.2-alt2
- ghc 6.12.3

* Thu Sep 09 2010 Denis Smirnov <mithraen@altlinux.ru> 2.1.1.2-alt1.1.1
- rebuild with new haskell

* Wed Mar 17 2010 Denis Smirnov <mithraen@altlinux.ru> 2.1.1.2-alt1.1
- rebuild with new haskell

* Fri Mar 13 2009 Anton Farygin <rider@altlinux.ru> 2.1.1.2-alt1
- first build for Sisyphus
